using Microsoft.Extensions.Primitives; // StringValues

public class NaglowkiZabezpieczajace
{
  private readonly RequestDelegate nastepny;

  public NaglowkiZabezpieczajace(RequestDelegate nastepny)
  {
    this.nastepny = nastepny;
  }

  public Task Wywolaj(HttpContext kontekst)
  {
    // dodaj tutaj inne, dowolne nagłówki HTTP
    kontekst.Response.Headers.Add(
      "super-bezpieczne", new StringValues("enable"));

    return nastepny(kontekst);
  }
}
